Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: display::DisplayControl Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
display::DisplayControl Interface Reference

Interface to control the device's front panel display. More...

`import <DisplayControl.idl;`

## Classes
struct | DefaultViewItem
| Representation of a possible default view. More...
struct | Info
| Collected display meta information. More...
struct | Settings
struct | SettingsChangedEvent
| Event: Settings were changed. More...

## Public Member Functions
vector< DefaultViewItem > | getAvailableDefaultViews ()
| Get available default views.
Settings | getSettings ()
| Get the current settings.
int | setSettings (in Settings settings)
| Update the settings.
Info | getInfo ()
| Retrieve display's meta information.
void | showSmiley (in boolean on, in boolean happy, in string msg)
| Show smiley on display.

## Public Attributes
constant int | SUCCESS = 0
| Error codes.
constant int | ERR_INVALID_VALUE = 1
| Invalid argument.

## Detailed Description

Interface to control the device's front panel display.

Definition at line 13 of file DisplayControl.idl.

## Member Function Documentation

## ◆ getAvailableDefaultViews()

vector< DefaultViewItem > display::DisplayControl::getAvailableDefaultViews | ( |  | ) |

Get available default views.

This returns all views that can be used as default views on the device display.

Returns
  Possible default views, or empty list if the default view can not be configured for the device's display

## ◆ getInfo()

Info display::DisplayControl::getInfo | ( |  | ) |

Retrieve display's meta information.

Returns
  Display information

## ◆ getSettings()

Settings display::DisplayControl::getSettings | ( |  | ) |

Get the current settings.

Returns
  settings

## ◆ setSettings()

int display::DisplayControl::setSettings | ( | in Settings | settings | ) |

Update the settings.

Parameters

  settings | Settings to be applied

Returns
  0 on success
  1 on invalid value

## ◆ showSmiley()

void display::DisplayControl::showSmiley | ( | in boolean | on,
|  | in boolean | happy,
|  | in string | msg )

Show smiley on display.

Parameters

  on | `true` to turn on smiley
  happy | `true` to show happy smiley,`false` to show sad smiley
  msg | String for message

## Member Data Documentation

## ◆ ERR_INVALID_VALUE

constant int display::DisplayControl::ERR_INVALID_VALUE = 1

Invalid argument.

Definition at line 18 of file DisplayControl.idl.

## ◆ SUCCESS

constant int display::DisplayControl::SUCCESS = 0

Error codes.

No error

Definition at line 17 of file DisplayControl.idl.

The documentation for this interface was generated from the following file:

- DisplayControl.idl